summaryrefslogtreecommitdiffstats
path: root/desktop/crystalcursors
diff options
context:
space:
mode:
author B. Watson2022-04-08 22:26:46 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:12 +0200
commit2b6f63a427c5894a5e6dede99b829ff7ec560238 (patch)
tree41b24fdf450436b93003550ae7c0c0856218da16 /desktop/crystalcursors
parentfc795a2666c3702a1b084cf64cc71851a5cbec2d (diff)
downloadslackbuilds-2b6f63a427c5894a5e6dede99b829ff7ec560238.tar.gz
desktop/crystalcursors: Fix permmissions, broken symlinks.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/crystalcursors')
-rw-r--r--desktop/crystalcursors/crystalcursors.SlackBuild40
1 files changed, 27 insertions, 13 deletions
diff --git a/desktop/crystalcursors/crystalcursors.SlackBuild b/desktop/crystalcursors/crystalcursors.SlackBuild
index ccc7fcb001..07901a748c 100644
--- a/desktop/crystalcursors/crystalcursors.SlackBuild
+++ b/desktop/crystalcursors/crystalcursors.SlackBuild
@@ -21,18 +21,19 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220408 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - fix permissions (index.theme should not be executale).
+# - fix broken symlinks.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=crystalcursors
VERSION=${VERSION:-1.1.1}
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -42,28 +43,41 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG $TMP/tmp-$PRGNAM
-mkdir -p $TMP $PKG $OUTPUT $PKG/usr/share/icons || exit 1
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/share/icons
cd $TMP
-tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz || exit 1
-mv Crystalcursors tmp-$PRGNAM
-cd tmp-${PRGNAM}
+rm -rf Crystalcursors
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd Crystalcursors
chown -R root.root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-make || exit 1
-make install PREFIX=$PKG/usr/share/icons || exit 1
+make
+make install PREFIX=$PKG/usr/share/icons
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGELOG CREDITS LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/${PRGNAM}.SlackBuild
mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc || exit 1
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# 20220408 bkw: bad perms.
+find $PKG/usr/share/icons -name index.theme -exec chmod 0644 {} \+
+
+# 20220408 bkw: broken symlinks. some of the "left" themes are missing
+# the cross-shaped cursor; it's symmetrical, so it can use the same
+# image as the corresponding "right" theme.
+for i in blue gray green white; do
+ ln -s ../../crystal${i}/cursors/cross \
+ $PKG/usr/share/icons/crystal${i}left/cursors/cross
+done
# We're not going to have a package installation change any system-wide
# defaults, so we'll first move the index.theme file to the documentation